apiVersion: v1
kind: ConfigMap
metadata:
  labels:
    app: {{.Values.deployment.name}}-xnat-webapp-env
  name: {{.Values.deployment.name}}-xnat-webapp-env
data:
  XNAT_DATA: {{.Values.config.xnat.data}}
  XNAT_HOME: {{.Values.config.xnat.home}}
  XNAT_DB_HOST: {{.Values.deployment.name}}-xnat-postgres
  XNAT_DB_NAME: {{.Values.config.global.db_name}}
  XNAT_DB_USERNAME: {{.Values.config.global.db_user}}
  XNAT_DB_PASSWORD: {{.Values.secrets.global.db_password}}
  JAVA_OPTS: "-Xms2g -Xmx4g"
  CATALINA_TMPDIR:  {{.Values.config.xnat.data}}/temp